Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetMaximumAnisotropy

Set the maximum tolerated metric anisotropy

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetMaximumAnisotropy(DM dm, PetscReal a_max)

## Input Parameters

- dm - The `DM`

- a_max - The maximum tolerated metric anisotropy

## Note

If the value zero is given then anisotropy will not be restricted. Otherwise, it should be at least one.

## See Also

`DMPLEX`, `DMPlexMetricGetMaximumAnisotropy()`, `DMPlexMetricSetMaximumMagnitude()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages